# $Revision: 1.7 $, $Date: 2008/07/27 22:57:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	URI
%define		pnam	imap
Summary:	URI::imap - Support IMAP URI
Summary(pl.UTF-8):	URI::imap - Wsparcie dla URI IMAP
Name:		perl-URI-imap
Version:	1.01
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9b15c93bee6e9df3db44bf96db851ef9
URL:		http://search.cpan.org/dist/URI-imap/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(URI)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Support IMAP schemas with URI.

%description -l pl.UTF-8
Wsparcie dla schematów IMAP z URI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/URI/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-URI-imap.spec,v $
Revision 1.7  2008/07/27 22:57:38  arekm
- release 2

Revision 1.6  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:53  paladine
- formatting

Revision 1.3  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/08/22 11:13:23  adamg
- License same as perl

Revision 1.1  2004/08/22 11:08:07  adamg
- new
